# Tags Changes

## 0.0.6

- Export `dart:html` library from `html.dart` so that users have only 1 import.
- Added `custom.dart` library and a ToggleButton to the showcase example.  The 
`custom.dart` library aims to provide a canonical set of custom elements (web 
components).
- The `build` functon in the `builder.dart` library now takes a `Create`
function to build the tag's element.  This allows us to differentiate between a 
builder function called within the scope of a `Create` (constructor / 
initializer of an Element) and the scope of a `Build` (child appending logic).

## 0.0.5

- Removed `tags.dart` library; users should import `html.dart` directly.
- Added `builder.dart` library to expose tag builder functionality; This library 
may be used for user-defined custom tags.

## 0.0.4

- Added `<i>`, `<u>`, `<dl>`, `<dt>`, and `<dd>` tags.
- Added `Build` typedef and some documentation to the API.
- Added `documentation` to pubspec.

## 0.0.3

- Added `<b>` tag.
- Added `text(String)` builder function to perform `Element.appendText(String)`
from within `build()` closures.

## 0.0.2

- Added basic usage to the README.

## 0.0.1

- Initial release.
