
/// Custom tags.
library custom;

import 'dart:async';
import 'builder.dart';
import 'html.dart';

part 'src/custom/toggle_button.dart';

final Tag toggleButton = 
    ([Build b]) => build(() => new ToggleButton().element, b);

/// An object that has an element.
///
/// Warning: once we are allowed to extend Element this is likely to be removed.
abstract class HasElement {
  Element get element;
}
